/**
 * @packageDocumentation
 *
 * Create a Helia node.
 *
 * @example
 *
 * ```typescript
 * import { MemoryDatastore } from 'datastore-core'
 * import { MemoryBlockstore } from 'blockstore-core'
 * import { createHelia } from 'helia'
 * import { unixfs } from '@helia/unixfs'
 * import { CID } from 'multiformats/cid'
 *
 * const node = await createHelia({
 *   blockstore: new MemoryBlockstore(),
 *   datastore: new MemoryDatastore()
 * })
 * const fs = unixfs(node)
 * fs.cat(CID.parse('bafyFoo'))
 * ```
 */
import { DefaultRoutingV1HttpApiClient } from './client.js';
/**
 * Create and return a Helia node
 */
export function createRoutingV1HttpApiClient(url, init = {}) {
    return new DefaultRoutingV1HttpApiClient(url, init);
}
//# sourceMappingURL=index.js.map